public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/humanize/
Date: Sun, 28 Jun 2020 22:55:47 +0000 (UTC)	[thread overview]
Message-ID: <1593384778.f027c145576b1c61cdc28173d32ee7f598fcb40b.sbraz@gentoo> (raw)

commit:     f027c145576b1c61cdc28173d32ee7f598fcb40b
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 28 22:52:58 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sun Jun 28 22:52:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f027c145

dev-python/humanize: bump to 2.4.1

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/humanize/Manifest              |  1 +
 dev-python/humanize/humanize-2.4.1.ebuild | 36 +++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/humanize/Manifest b/dev-python/humanize/Manifest
index d8adbb8174a..de3e9c5045e 100644
--- a/dev-python/humanize/Manifest
+++ b/dev-python/humanize/Manifest
@@ -1,2 +1,3 @@
 DIST humanize-0.5.1.tar.gz 20507 BLAKE2B 55d7b598b32658b1d4c4741b37b5c33bdc9d63a5a779455e2fb93e1e4c3a0d8fd58e8522ef82734e1ba2b161fd881829373ba3569baffd9ea3271ad7ed3e7568 SHA512 dd7ad7f3c564cc6abcb6b128e50dbea7f19f7f418bfd936aae2472961c53ec71202133c5c2b5b930ef41ef807b51d6ba1210565627ed32c0b41acc0abd32a2d5
 DIST humanize-2.4.0.tar.gz 46489 BLAKE2B bb2cfeebd25f4aa073539bb616a5d05db2827dd2aaa6f093d46b51415ef3b954918a45f2434b9ce41845389be986200e23b1cb752e8a0bd03649377ea46fbec6 SHA512 20707a59f2f0bbc52e1e5d906e733561f53c3bc429ce24662ea9014d7f73f87a8f3ae9aa62f2564fafbe9de0d6b250e8fecec4a3cb81968c5b24d61ad9627d1b
+DIST humanize-2.4.1.tar.gz 46827 BLAKE2B e9b37283c5a4db1c5b2a9ef61919fe02a4e5720711129910e51b0b3481290c9bfa4e29225db75c37d83884c00065fa71b599ed42fac41414f481167d33091a98 SHA512 5d8534d2e97f375c7ec065dd239334a2a5da9d058f7c0312cb2683c3e42f5b8f99e117782e0888a6e5348f43958523df6609c294f5af7c971d81bd29679a0500

diff --git a/dev-python/humanize/humanize-2.4.1.ebuild b/dev-python/humanize/humanize-2.4.1.ebuild
new file mode 100644
index 00000000000..4785489816a
--- /dev/null
+++ b/dev-python/humanize/humanize-2.4.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8} )
+# The package uses pkg_resources to determine its version
+DISTUTILS_USE_SETUPTOOLS=manual
+
+inherit distutils-r1
+
+DESCRIPTION="Common humanization utilities"
+HOMEPAGE="https://github.com/jmoiron/humanize/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+BDEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	dev-python/setuptools_scm[${PYTHON_USEDEP}]
+	test? (
+		dev-python/freezegun[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+	)
+"
+
+python_test() {
+	# The package uses pkg_resources to determine its version
+	distutils_install_for_testing
+	pytest -vv || die "Tests fail with ${EPYTHON}"
+}


             reply	other threads:[~2020-06-28 22:55 UTC|newest]

Thread overview: 113+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-28 22:55 Louis Sautier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06  2:30 [gentoo-commits] repo/gentoo:master commit in: dev-python/humanize/ Michał Górny
2024-07-27  9:53 Michał Górny
2024-07-27  7:35 Arthur Zamarin
2024-07-08 17:02 Arthur Zamarin
2024-05-17 18:24 Michał Górny
2023-12-09 14:37 Michał Górny
2023-12-09 14:30 Michał Górny
2023-11-24 19:17 Michał Górny
2023-11-24 14:24 Michał Górny
2023-11-22  7:49 Michał Górny
2023-09-17 11:26 Michał Górny
2023-08-17  8:36 Michał Górny
2023-07-28  9:26 Michał Górny
2023-07-28  7:56 Sam James
2023-06-28  5:06 Michał Górny
2023-05-31 17:43 Michał Górny
2023-03-04  5:53 Michał Górny
2023-03-04  5:53 Michał Górny
2023-03-04  5:29 Arthur Zamarin
2023-02-05 17:07 Michał Górny
2023-01-30  7:15 Michał Górny
2022-10-25  9:08 Michał Górny
2022-10-25  8:46 Sam James
2022-09-22  7:40 Michał Górny
2022-09-07  5:08 Michał Górny
2022-09-06 21:15 Sam James
2022-08-06 13:09 Arthur Zamarin
2022-07-24 20:29 Michał Górny
2022-07-24 19:13 Sam James
2022-06-30 17:09 Arthur Zamarin
2022-06-28  4:03 Michał Górny
2022-06-23 19:28 Arthur Zamarin
2022-06-19 16:54 Louis Sautier
2022-06-12 18:28 Michał Górny
2022-06-07  2:50 Michał Górny
2022-06-06 23:32 Sam James
2022-05-04  8:19 Michał Górny
2022-03-15 14:05 Michał Górny
2022-03-15 11:27 Jakov Smolić
2022-02-13 23:13 Michał Górny
2022-01-31  0:26 Michał Górny
2021-12-31  8:17 Michał Górny
2021-12-31  0:46 Sam James
2021-12-10 17:12 Arthur Zamarin
2021-12-10 12:11 Jakov Smolić
2021-11-30  8:06 Michał Górny
2021-11-29 22:28 Michał Górny
2021-11-09 14:01 Michał Górny
2021-10-07 17:24 Arthur Zamarin
2021-10-07  7:53 Michał Górny
2021-09-06  6:28 Michał Górny
2021-09-05 20:01 Agostino Sarubbo
2021-08-07 14:52 Michał Górny
2021-08-07 14:43 Sam James
2021-08-01 21:12 Michał Górny
2021-07-12 22:53 Michał Górny
2021-07-12 21:50 Sam James
2021-07-06  7:58 Michał Górny
2021-06-15 21:32 Michał Górny
2021-06-12 21:02 Michał Górny
2021-06-06 13:18 Louis Sautier
2021-06-05 21:08 Michał Górny
2021-06-05 20:35 Sam James
2021-06-02 23:14 Michał Górny
2021-05-29 18:11 Michał Górny
2021-05-19 18:21 Michał Górny
2021-05-19 17:22 Sam James
2021-05-09 21:01 Louis Sautier
2021-05-01  7:45 Michał Górny
2021-04-22 15:07 Michał Górny
2021-04-22 12:08 Sam James
2021-04-13  9:05 Michał Górny
2021-04-11 18:56 Michał Górny
2021-03-21  7:51 Michał Górny
2021-01-13 20:16 Michał Górny
2021-01-13 19:04 Sam James
2020-12-12 19:33 Louis Sautier
2020-11-26  8:40 Michał Górny
2020-11-26  8:24 Sam James
2020-11-04  7:34 Michał Górny
2020-11-04  1:01 Sam James
2020-10-19 21:33 Louis Sautier
2020-10-19 21:33 Louis Sautier
2020-10-02 20:37 Louis Sautier
2020-09-30 19:21 Louis Sautier
2020-09-18 15:19 Michał Górny
2020-09-18  7:29 Agostino Sarubbo
2020-08-15  0:16 Louis Sautier
2020-08-08 14:44 Louis Sautier
2020-07-30 20:41 Michał Górny
2020-07-30 20:03 Sam James
2020-07-09 10:39 Michał Górny
2020-07-09 10:39 Michał Górny
2020-05-04 11:07 Michał Górny
2020-04-23 18:19 Louis Sautier
2020-04-23 18:19 Louis Sautier
2020-04-13 12:44 Louis Sautier
2020-04-13 11:53 Louis Sautier
2020-04-13 11:53 Louis Sautier
2020-03-23 21:50 Louis Sautier
2020-03-23 21:50 Louis Sautier
2020-03-21  1:26 Louis Sautier
2020-03-21  1:26 Louis Sautier
2020-03-11 22:40 Louis Sautier
2020-03-09 11:24 Louis Sautier
2020-02-28 23:47 Louis Sautier
2020-02-05 14:24 Michał Górny
2018-12-12 16:30 Mikle Kolyada
2018-12-07  2:41 Thomas Deutschmann
2018-07-24 23:41 Louis Sautier
2017-09-22 13:12 Patrice Clement
2016-04-12 19:11 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1593384778.f027c145576b1c61cdc28173d32ee7f598fcb40b.sbraz@gentoo \
    --to=sbraz@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox